# Auth3 Flutter Login

The official [Auth3](https://auth3.dev/?utm_source=github&utm_medium=sdk&utm_campaign=flutter-login) Flutter Login library.

## Introduction

This library provides a quick and secure way to integrate with the Auth3 Identity Platform to protect your mobile Flutter application running across different devices.

For additional help and a guided walkthrough, with an example reference application and further reasoning, check out our [article here](https://docs.auth3.dev/products/identity-platform/authenticate-users-in-a-mobile-application-with-auth3-login-sdk?utm_source=github&utm_medium=sdk&utm_campaign=flutter-login).

## Platform support 

Our libraries can be run on the following environments:

* iOS
* Android
* Mac OS

## Installation

To depend on this library run:

```bash
flutter pub add auth3_login
```

Alternatively, add to your `pubspec.yaml`: 

```yaml
auth3_login: <version> # find the latest version on https://pub.dev/packages/auth3_login
```

Then run:

```bash
pub get
```

## Looking to integrate with your backends?

Check out our official SDKs to integrate with the Administrative API to integrate and manipulate your Auth3 identities:

  * [go](https://github.com/auth3-dev/go-sdk)
  * [cpp](https://github.com/auth3-dev/cpp-sdk)
  * [java](https://github.com/auth3-dev/admin-sdk)
  * [nodejs](https://github.com/auth3-dev/nodejs-sdk)
  * [dart](https://github.com/auth3-dev/dart-sdk)
  * [python](https://github.com/auth3-dev/python-sdk)
  * [php](https://github.com/auth3-dev/php-sdk)
  * [ruby](https://github.com/auth3-dev/ruby-sdk)
  * [rust](https://github.com/auth3-dev/rust-sdk)
  * [scala](https://github.com/auth3-dev/scala-sdk)
  * [swift](https://github.com/auth3-dev/swift-sdk)
  * [c#](https://github.com/auth3-dev/csharp-sdk)
  
## Contributing

At this time we don't accept external contributions, but we're open for feedbacks and requests. We're always looking for contributions on our security, refer to [our dedicated page](https://auth3.dev/bounty-program?utm_source=github&utm_medium=sdk&utm_campaign=flutter-login) for more.

## Support

Customers of the Auth3 Identity Platform can access support through the official channels available on [our website](https://auth3.dev/?utm_source=github&utm_medium=sdk&utm_campaign=flutter-login). We won't be able to accomodate Customer requests through the bug tracker for security reasons. 

## License

Read the [LICENSE](https://github.com/auth3-dev/dart-sdk/blob/main/flutter-login/LICENSE).
